Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Downgrade Remote Success, How to get from 1.4.1 to 1.1.9?

Discussion in 'Pro/Adv Discussion' started by DiluxEdition, Jan 11, 2016.

  1. DiluxEdition

    Joined:
    Jun 30, 2015
    Messages:
    200
    Likes Received:
    50
    I had my radio on 1.4.3 and I successfully got it down to 1.3.2, then used the same method to get it down to 1.1.9. But I am still stuck with 1.3.2 on my P3P...

    Anyone got a way to get down from 1.4.1 to 1.3.2 and then down to 1.1.9 on the P3P itself????

    The method I used for the remote was to get the gs_ofdm.bin flashed. Then whichever firmware you want rename it to "gs_ofdm.bin" and flash it again, but it will fail, but now you will have the white light instead of the red with beeping all the time. (I did this because just putting the firmware bin into the usb stick did nothing at all.) Now connect to the DJI GO app, I used 2.2.0, download the 1.5.7 firmware but don't install it.
    You need a JAILBROKEN ipad to do this next part.
    I used the FILZA app to find "C1_FW_V01.05.0070.bin" and renamed it to old.bin
    I then copied the firmware that I wanted to flash to into the same folder and renamed it to "C1_FW_V01.05.0070.bin" leave the plist file alone.
    Then I completed the upgrade via the DJI app and it actually flashed 1.1.9.

    Spent the whole day figuring this out after I tried the traditional method using gs_ofdm.bin, which did wipe my firmware but then I couldn't flash anything onto the radio except 1.5.7 which I do not want. =/

    ALSO,
    If anyone has the 1.4.3 firmware in their .firmdir within the DJI go app on their ipad, please share it, just in case I want to use Follow me one day. =) Thanks

    ONCE AGAIN,
    If you know how to go from 1.4.1 to 1.1.9 (where signal was the BEST) please, please let me know. Thanks =)
     
    #1 DiluxEdition, Jan 11, 2016
    Last edited: Jan 11, 2016
    Kyokushin likes this.
  2. DiluxEdition

    Joined:
    Jun 30, 2015
    Messages:
    200
    Likes Received:
    50
    Found the files I was looking for for the radio:

    download.dji-innovations.com/downloads/phantom_3/C1_FW_V01.03.0020.bin
    download.dji-innovations.com/downloads/phantom_3/C1_FW_V01.04.0003.bin

    if you are on 1.1.9 you can just put one of these on the flash card and update to which one you want... =)
     
  3. Dirty Bird

    Joined:
    Apr 15, 2014
    Messages:
    0
    Likes Received:
    9
    Location:
    Glen Burnie, MD - USA
    Excellent work. Make sure to keep them archived safely. May be a demand for reverting with GEO.

     
  4. Palmai Universe

    Joined:
    Jan 2, 2016
    Messages:
    66
    Likes Received:
    20
    Location:
    Australia
    Anyone tried bringing their radio down from 1.5.7? The USB stick method will of course not work.
     
  5. DiluxEdition

    Joined:
    Jun 30, 2015
    Messages:
    200
    Likes Received:
    50
    I can try with my other radio, but the same method I used above should work from 1.5.7...

    I also used the C1_FW_V01.03.0020.bin file to upgrade the radio from 1.1.9 the traditional way, now it says 1.3.2 instead of 1.3.2+, I did try 1.1.8, it passed but still said 1.1.9+ (likely because dji go doesn't recognize 1.1.8...), I think I need to figure out how to get the C1_FW_... file for 1.1.9, maybe I will just rename it and try again...
     
    #5 DiluxEdition, Jan 12, 2016
    Last edited: Jan 12, 2016
  6. John Murphy

    Joined:
    Jan 11, 2016
    Messages:
    22
    Likes Received:
    1
    Are these the same for the P3P and P3A?
     
  7. Kyokushin

    Joined:
    Sep 22, 2015
    Messages:
    128
    Likes Received:
    30
    Good job folks!
    Try to downgrade radio to 'before stadiums NFZ' state, reset DJI GO app and try to arm engines in stadium zone, of course without connecting to the Internet.

    As i figured there is some NFZ cache. I think it is in a aircraft and this is not erased during downgrade/upgrade/reinstall process.

    I also tried reinstall RC f/w from 1.5.7 to 1.5.7, but NFZ do not disappeared.... however it is worth trying.

    So for now, any upgrades of radio or app are not recommended, this workaround may be blocked.
     
  8. DiluxEdition

    Joined:
    Jun 30, 2015
    Messages:
    200
    Likes Received:
    50
    should be. I don't think the radios are any different...
     
  9. DiluxEdition

    Joined:
    Jun 30, 2015
    Messages:
    200
    Likes Received:
    50
    Soooo, I decided to mess with the newer w323a phantom 3 (the one with the new motors). It came with 1.3.2, so I tried to go down to 1.1.9, didn't work. so I put in the service bin and then tried 1.1.9 again. partial success. did 1.3.2 again, success, then 1.1.9, took a long time and led on gimbal shut off, so I turned it off... app shows 1.1.9 but the sd card isn't working right, update didn't complete and it wont take pics or video. put back 1.3.2, nothing, renamed the 1.3.2 to dm368fw.bin and it started updating but its been like 45 min already, ughh.

    if it does succeed then I will try again, this may lead to a way to get my w323 down to 1.1.9
     
  10. alirz

    Joined:
    Oct 14, 2015
    Messages:
    270
    Likes Received:
    25
    Hi,
    I've always read about this service bin file and had seen some links in past for its download. I would like to get my hands on it for future use in case i need it..
    Anyway for you to share the file? thanks
     
  11. DiluxEdition

    Joined:
    Jun 30, 2015
    Messages:
    200
    Likes Received:
    50
    Seems that its stuck on 1.1.9 with no ability to upgrade unless I get the real DM368Fw.bin or some other way of getting it to force update. So right now it wont take pics or record video or allow any camera changes like exposure or format or anything. I guess I will have to return it.... I don't recommend anyone mess with the service bin unless you can return your Phantom 3, I have 3 more days to return it for a refund...

    I wont try to go to 1.1.9 with my other P3P. I guess that one will be stuck on 1.3.2 or 1.4.1... But I will test range with my radio on 1.1.9 and the P3P on 1.3.2, hopefully I can go really far again (like 2-3miles in NYC instead of 1-2miles now). =D
     
  12. KyleMaxxUAV

    Approved Vendor

    Joined:
    Jan 4, 2016
    Messages:
    1,113
    Likes Received:
    313
  13. DiluxEdition

    Joined:
    Jun 30, 2015
    Messages:
    200
    Likes Received:
    50
    I exchanged it, but I think there is no point in trying to get the w323a version down to 1.1.9. I think that 1.1.9 isn't compatible with the w323a (likely because of hardware changes).
    The older w323 didn't do anything when I renamed the firmware to dm368fw.bin, so I'm guessing its original firmware file is named differently... I doubt dji will ever leak the original firmware files, gonna need a hacker to figure that out, I'm a tinkerer not a programmer...
     
    Apilot101 likes this.
  14. DiluxEdition

    Joined:
    Jun 30, 2015
    Messages:
    200
    Likes Received:
    50
    I wish I saw this before I exchanged the P3P, this would have likely worked...
     
  15. Apilot101

    Joined:
    Jan 6, 2016
    Messages:
    255
    Likes Received:
    53

    Dilux, Which radio do you have? A or B? Not sure if it makes a difference. Im not sure if its the newer fw, but some radios wont respond or acknowledge that there is even a thumb drive attached with anything on it. Im trying to find if its hardware related or later fw disabled firmware by thumb drive forcing the Go app to upgrade/ downgrade fw.
     
  16. DiluxEdition

    Joined:
    Jun 30, 2015
    Messages:
    200
    Likes Received:
    50
    I did this on the A radio, I wouldn't go down below 1.3.2 on the B radio. You don't need to use the thumb drive. You can rename the firmware file on the ipad or likely android device as well.
     
    starfire likes this.
  17. Apilot101

    Joined:
    Jan 6, 2016
    Messages:
    255
    Likes Received:
    53
    I have a B radio on 1.5 and quad on 1.4 and trying to get both down to 1.3.2 only.

    Even if you rename the fw, how are you loading it since B radios don't want to use thumb drives? How are you fooling DJI Go to load even an older renamed file? Sorry I'm trying to clarify this.
     
  18. DiluxEdition

    Joined:
    Jun 30, 2015
    Messages:
    200
    Likes Received:
    50
    read my first post, I explained how to do it. When the DJI Go app downloads a firmware file, it is saved on your device (ipad, android), just rename the 1.3.2 firmware file which I provided a link for above to whatever firmware file your DJI GO app downloads, likely 1.5.7.. Then go back into the DJI Go app and complete the update...
     
  19. Apilot101

    Joined:
    Jan 6, 2016
    Messages:
    255
    Likes Received:
    53
    Problem is, if you all ready have 1.5.7 on the rc, you need to make DJI Go believe that there is a newer file available. Or wait till a new one is released.

    App only says that "updates required" .
    Then,
    The aircraft is required to update, please check the firmware upgrade tutorial videos in Academy


    No option to download any rc firmware being on 1.5.7
     
  20. John Murphy

    Joined:
    Jan 11, 2016
    Messages:
    22
    Likes Received:
    1
    Can you not downgrade one version and then use this method to go further?